Page MenuHomePhabricator

tempWikitextEditor doesn't work well when adding new section
Closed, ResolvedPublic1 Estimate Story Points

Description

With the temporary wikitext editor, the interface for creating a new section now has a distracting focus change:

  1. Go to a talk page.
  2. Click "Add new section".
  3. Observe that once the full editor is ready, the title input is briefly focused, but the focus moves to the text immediately after.

But unless you started typing already, the title is probably the first thing you want to edit.

Perhaps it would be best if the temporary wikitext editor had a single line title input in this case as well, so the focus could be kept on the title, unless the user already moved on to the content.

Details

Related Gerrit Patches:
mediawiki/extensions/VisualEditor : masterDisable tempWikitextEditor for section=new on talk pages

Event Timeline

Schnark created this task.Jan 24 2018, 10:25 AM
Restricted Application added a project: VisualEditor. · View Herald TranscriptJan 24 2018, 10:25 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 411328 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/VisualEditor@master] Disable tempWikitextEditor for section=new on talk pages

https://gerrit.wikimedia.org/r/411328

Esanders renamed this task from Distracting focus change when adding new section to tempWikitextEditor doesn't work well when adding new section.Feb 16 2018, 6:34 PM

Change 411328 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Disable tempWikitextEditor for section=new on talk pages

https://gerrit.wikimedia.org/r/411328

Deskana closed this task as Resolved.Feb 26 2018, 4:07 PM
Deskana triaged this task as Medium priority.
Deskana set the point value for this task to 1.